# Class DDSLoader

#### Hierarchy

- CompressedTextureLoader
  - DDSLoader

- Defined in lib/gltf-loader/thirdparty/DDSLoader.d.ts:17

##### Index

### Constructors

constructor

### Methods

parse

## Constructors

### constructor

- new DDSLoader(manager?: LoadingManager): DDSLoader

  #### Parameters

  - `Optional` manager: LoadingManager

  #### Returns DDSLoader

  Overrides CompressedTextureLoader.constructor

  - Defined in lib/gltf-loader/thirdparty/DDSLoader.d.ts:19

## Methods

### parse

- parse(buffer: ArrayBuffer, loadMipmaps: boolean): DDS

  #### Parameters

  - buffer: ArrayBuffer
  - loadMipmaps: boolean

  #### Returns DDS

  - Defined in lib/gltf-loader/thirdparty/DDSLoader.d.ts:21